/// <reference lib="dom" />

document.addEventListener("keydown", ev => {
    if (ev.ctrlKey || ev.altKey) return
    if (!(document.activeElement instanceof HTMLInputElement)) {
        if (ev.code.startsWith("Digit")) {
            if (document.forms.buy_product)
                return document.forms.buy_product.pcode.value += ev.code.substring(5)
        } else if (ev.code == "Enter") {
            if (document.forms.buy_product)
                return document.forms.buy_product.submit()
            if (document.forms.user_creation)
                return document.forms.user_creation.submit()
        } else if (ev.code.startsWith("Key") || ev.code == "Space") {
            if (document.forms.user_creation)
                return document.forms.user_creation.create_user.value += ev.key
        } else if (ev.code == "Backspace") {
            if (document.forms.user_creation)
                return document.forms.user_creation.create_user.value = ""
        } else if (ev.code == "Escape") {
            window.location.href = "/"
            ev.preventDefault()
        }
    }
})
